GNU bug report logs - #48801
28.0.50; [PATCH] Feature suggestion gnus-retrieve-headers check for nov-is-evil when agent is enabled

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Alex Bochannek <alex@HIDDEN>; Keywords: patch; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 28.1, send any further explanations to 48801 <at> debbugs.gnu.org and Alex Bochannek <alex@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 48801 <at> debbugs.gnu.org:


Received: (at 48801) by debbugs.gnu.org; 12 Jun 2021 12:10:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 12 08:10:33 2021
Received: from localhost ([127.0.0.1]:40457 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ls2TB-0004MC-EE
	for submit <at> debbugs.gnu.org; Sat, 12 Jun 2021 08:10:33 -0400
Received: from quimby.gnus.org ([95.216.78.240]:41566)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1ls2T9-0004Lv-NI
 for 48801 <at> debbugs.gnu.org; Sat, 12 Jun 2021 08:10:32 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=UH+NbimwEHANTlKtIEK36Jpov0qIYaVnWGXoi+pgp54=; b=Grmuls2CUnTIa/vnFymZLJZHYS
 HFE+aF65T5oh9xkGtBn/8rY3PtqOjOpNQzqNkNrrXRxihSfw7DF12PIf7TZhHaqNOqGT6Osk3nCgH
 nnWzyg3dPy025h+5JI5znATA6krGTi8cUA2+xSRmOXeyx0zdw9b9HsllLlHofNemHoOk=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1ls2T0-0005Ro-Fq; Sat, 12 Jun 2021 14:10:25 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Alex Bochannek <alex@HIDDEN>
Subject: Re: bug#48801: 28.0.50; [PATCH] Feature suggestion
 gnus-retrieve-headers check for nov-is-evil when agent is enabled
References: <m2fsy0otqm.fsf@HIDDEN> <87im2v9y4u.fsf@HIDDEN>
 <m21r9izv1u.fsf@HIDDEN> <874kee0y6l.fsf@HIDDEN>
 <m2im2tbk9m.fsf@HIDDEN> <87zgw3tjvd.fsf@HIDDEN>
 <m24keaq3sz.fsf@HIDDEN> <87im2oof07.fsf@HIDDEN>
 <m2r1hbmwgl.fsf@HIDDEN> <87y2bjl5ox.fsf@HIDDEN>
 <m24ke69an9.fsf@HIDDEN> <83sg1qdhwj.fsf@HIDDEN>
 <m2zgvy7u4b.fsf@HIDDEN>
X-Now-Playing: Colored Music's _Individual Beauty_: "De To Re Mi"
Date: Sat, 12 Jun 2021 14:10:21 +0200
In-Reply-To: <m2zgvy7u4b.fsf@HIDDEN> (Alex Bochannek's message of "Wed, 
 09 Jun 2021 11:47:32 -0700")
Message-ID: <874ke39tci.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Alex Bochannek <alex@HIDDEN> writes: > +One particular
 scenario in which it can be desirable to not use > +@samp{XOVER} is for
 @code{nnvirtual}
 groups in order to support > +limiting by extra headers (e.g., by the newsgroup
 of its compon [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48801
Cc: Eli Zaretskii <eliz@HIDDEN>, 48801 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Alex Bochannek <alex@HIDDEN> writes:

> +One particular scenario in which it can be desirable to not use
> +@samp{XOVER} is for @code{nnvirtual} groups in order to support
> +limiting by extra headers (e.g., by the newsgroup of its component
> +groups.)  Because group parameters are not inherited, a separate
> +select method for the component groups with the appropriate
> +@code{nov-is-evil} set as a method variable is required.

Thanks; applied to Emacs 28.  And I guess this means that the proposed
code changes aren't necessary, so I'm closing this bug report.  (If I
missed something, please pipe up.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48801; Package emacs. Full text available.

Message received at 48801 <at> debbugs.gnu.org:


Received: (at 48801) by debbugs.gnu.org; 9 Jun 2021 19:04:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 09 15:04:44 2021
Received: from localhost ([127.0.0.1]:34702 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lr3VM-0005tq-BM
	for submit <at> debbugs.gnu.org; Wed, 09 Jun 2021 15:04:44 -0400
Received: from ns.lapseofthought.com ([50.0.39.240]:21973
 helo=mail.lapseofthought.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alex@HIDDEN>) id 1lr3VJ-0005tg-1g
 for 48801 <at> debbugs.gnu.org; Wed, 09 Jun 2021 15:04:43 -0400
Received: from awb-mbp.local (unknown
 [IPv6:2601:646:4200:b470:a4de:4a60:154c:229f])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.lapseofthought.com (Postfix) with ESMTPSA id 4G0c3q2CjXz3pdjV;
 Wed,  9 Jun 2021 12:04:39 -0700 (PDT)
From: Alex Bochannek <alex@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#48801: 28.0.50; [PATCH] Feature suggestion
 gnus-retrieve-headers check for nov-is-evil when agent is enabled
References: <m2fsy0otqm.fsf@HIDDEN> <87im2v9y4u.fsf@HIDDEN>
 <m21r9izv1u.fsf@HIDDEN> <874kee0y6l.fsf@HIDDEN>
 <m2im2tbk9m.fsf@HIDDEN> <87zgw3tjvd.fsf@HIDDEN>
 <m24keaq3sz.fsf@HIDDEN> <87im2oof07.fsf@HIDDEN>
 <m2r1hbmwgl.fsf@HIDDEN> <87y2bjl5ox.fsf@HIDDEN>
 <m24ke69an9.fsf@HIDDEN> <83sg1qdhwj.fsf@HIDDEN>
 <m2zgvy7u4b.fsf@HIDDEN> <83o8cedg0y.fsf@HIDDEN>
Date: Wed, 09 Jun 2021 12:04:38 -0700
In-Reply-To: <83o8cedg0y.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 09 Jun
 2021 21:55:25 +0300")
Message-ID: <m2mtrydfll.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
Authentication-Results: ORIGINATING;
 auth=pass smtp.auth=alex smtp.mailfrom=alex@HIDDEN
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 48801
Cc: larsi@HIDDEN, 48801 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Alex Bochannek <alex@HIDDEN>
>> Cc: larsi@HIDDEN,  48801 <at> debbugs.gnu.org
>> Date: Wed, 09 Jun 2021 11:47:32 -0700
>> 
>> > Our conventions are to leave 2 spaces between sentences.
>> 
>> Thanks for pointing that out! Is there a style document for code and
>> documentation that I could use as a reference?
>
> We use US English conventions, both for spelling and for punctuation.
> I don't think we spell out these conventions explicitly somewhere, not
> in their entirety anyway.  However, CONTRIBUTE does mention this
> particular rule.

I have to admit that I have not read CONTRIBUTE, thank you for
mentioning it. It clears up some other things that I was wondering
about, esp. around commit messages.

Thanks!

-- 
Alex.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48801; Package emacs. Full text available.

Message received at 48801 <at> debbugs.gnu.org:


Received: (at 48801) by debbugs.gnu.org; 9 Jun 2021 18:55:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 09 14:55:55 2021
Received: from localhost ([127.0.0.1]:34694 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lr3Mo-0005eh-Np
	for submit <at> debbugs.gnu.org; Wed, 09 Jun 2021 14:55:54 -0400
Received: from eggs.gnu.org ([209.51.188.92]:38424)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lr3Ml-0005eO-1C
 for 48801 <at> debbugs.gnu.org; Wed, 09 Jun 2021 14:55:53 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:51812)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lr3Md-0007T9-Cd; Wed, 09 Jun 2021 14:55:43 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3954
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1lr3Mb-00066c-2x; Wed, 09 Jun 2021 14:55:43 -0400
Date: Wed, 09 Jun 2021 21:55:25 +0300
Message-Id: <83o8cedg0y.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Alex Bochannek <alex@HIDDEN>
In-Reply-To: <m2zgvy7u4b.fsf@HIDDEN> (message from Alex Bochannek on
 Wed, 09 Jun 2021 11:47:32 -0700)
Subject: Re: bug#48801: 28.0.50; [PATCH] Feature suggestion
 gnus-retrieve-headers check for nov-is-evil when agent is enabled
References: <m2fsy0otqm.fsf@HIDDEN> <87im2v9y4u.fsf@HIDDEN>
 <m21r9izv1u.fsf@HIDDEN> <874kee0y6l.fsf@HIDDEN>
 <m2im2tbk9m.fsf@HIDDEN> <87zgw3tjvd.fsf@HIDDEN>
 <m24keaq3sz.fsf@HIDDEN> <87im2oof07.fsf@HIDDEN>
 <m2r1hbmwgl.fsf@HIDDEN> <87y2bjl5ox.fsf@HIDDEN>
 <m24ke69an9.fsf@HIDDEN> <83sg1qdhwj.fsf@HIDDEN>
 <m2zgvy7u4b.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48801
Cc: larsi@HIDDEN, 48801 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Alex Bochannek <alex@HIDDEN>
> Cc: larsi@HIDDEN,  48801 <at> debbugs.gnu.org
> Date: Wed, 09 Jun 2021 11:47:32 -0700
> 
> > Our conventions are to leave 2 spaces between sentences.
> 
> Thanks for pointing that out! Is there a style document for code and
> documentation that I could use as a reference?

We use US English conventions, both for spelling and for punctuation.
I don't think we spell out these conventions explicitly somewhere, not
in their entirety anyway.  However, CONTRIBUTE does mention this
particular rule.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48801; Package emacs. Full text available.

Message received at 48801 <at> debbugs.gnu.org:


Received: (at 48801) by debbugs.gnu.org; 9 Jun 2021 18:47:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 09 14:47:39 2021
Received: from localhost ([127.0.0.1]:34686 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lr3Ep-0005S1-N8
	for submit <at> debbugs.gnu.org; Wed, 09 Jun 2021 14:47:39 -0400
Received: from ns.lapseofthought.com ([50.0.39.240]:30822
 helo=mail.lapseofthought.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alex@HIDDEN>) id 1lr3El-0005Rq-77
 for 48801 <at> debbugs.gnu.org; Wed, 09 Jun 2021 14:47:38 -0400
Received: from awb-mbp.local (unknown
 [IPv6:2601:646:4200:b470:a4de:4a60:154c:229f])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.lapseofthought.com (Postfix) with ESMTPSA id 4G0bh51WW6z3pdjV;
 Wed,  9 Jun 2021 11:47:33 -0700 (PDT)
From: Alex Bochannek <alex@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#48801: 28.0.50; [PATCH] Feature suggestion
 gnus-retrieve-headers check for nov-is-evil when agent is enabled
References: <m2fsy0otqm.fsf@HIDDEN> <87im2v9y4u.fsf@HIDDEN>
 <m21r9izv1u.fsf@HIDDEN> <874kee0y6l.fsf@HIDDEN>
 <m2im2tbk9m.fsf@HIDDEN> <87zgw3tjvd.fsf@HIDDEN>
 <m24keaq3sz.fsf@HIDDEN> <87im2oof07.fsf@HIDDEN>
 <m2r1hbmwgl.fsf@HIDDEN> <87y2bjl5ox.fsf@HIDDEN>
 <m24ke69an9.fsf@HIDDEN> <83sg1qdhwj.fsf@HIDDEN>
Date: Wed, 09 Jun 2021 11:47:32 -0700
In-Reply-To: <83sg1qdhwj.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 09 Jun
 2021 21:14:52 +0300")
Message-ID: <m2zgvy7u4b.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (darwin)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
Authentication-Results: ORIGINATING;
 auth=pass smtp.auth=alex smtp.mailfrom=alex@HIDDEN
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 48801
Cc: larsi@HIDDEN, 48801 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Alex Bochannek <alex@HIDDEN>
>> Date: Wed, 09 Jun 2021 11:05:14 -0700
>> Cc: 48801 <at> debbugs.gnu.org
>> 
>> +One particular scenario in which it can be desirable to not use
>> +@samp{XOVER} is for @code{nnvirtual} groups in order to support
>> +limiting by extra headers (e.g., by the newsgroup of its component
>> +groups.) Because group parameters are not inherited, a separate select
>           ^^
> Our conventions are to leave 2 spaces between sentences.

Thanks for pointing that out! Is there a style document for code and
documentation that I could use as a reference?


--=-=-=
Content-Type: text/x-patch
Content-Disposition: inline

diff --git a/doc/misc/gnus.texi b/doc/misc/gnus.texi
index 32ba5aee92..e7ced97ef9 100644
--- a/doc/misc/gnus.texi
+++ b/doc/misc/gnus.texi
@@ -5246,6 +5246,13 @@ To From Newsgroups
 Be aware, though, that this will make entering an @acronym{NNTP} group
 much, much slower, so this is not recommended.
 
+One particular scenario in which it can be desirable to not use
+@samp{XOVER} is for @code{nnvirtual} groups in order to support
+limiting by extra headers (e.g., by the newsgroup of its component
+groups.)  Because group parameters are not inherited, a separate
+select method for the component groups with the appropriate
+@code{nov-is-evil} set as a method variable is required.
+
 
 @node Summary Buffer Mode Line
 @subsection Summary Buffer Mode Line

--=-=-=
Content-Type: text/plain

-- 
Alex.

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48801; Package emacs. Full text available.

Message received at 48801 <at> debbugs.gnu.org:


Received: (at 48801) by debbugs.gnu.org; 9 Jun 2021 18:15:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 09 14:15:23 2021
Received: from localhost ([127.0.0.1]:34671 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lr2jb-0004bq-Cq
	for submit <at> debbugs.gnu.org; Wed, 09 Jun 2021 14:15:23 -0400
Received: from eggs.gnu.org ([209.51.188.92]:59686)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lr2jY-0004bc-PW
 for 48801 <at> debbugs.gnu.org; Wed, 09 Jun 2021 14:15:21 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:50890)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lr2jQ-0005h9-2F; Wed, 09 Jun 2021 14:15:12 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:1466
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1lr2jP-0007wk-An; Wed, 09 Jun 2021 14:15:12 -0400
Date: Wed, 09 Jun 2021 21:14:52 +0300
Message-Id: <83sg1qdhwj.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Alex Bochannek <alex@HIDDEN>
In-Reply-To: <m24ke69an9.fsf@HIDDEN> (message from Alex Bochannek on
 Wed, 09 Jun 2021 11:05:14 -0700)
Subject: Re: bug#48801: 28.0.50;
 [PATCH] Feature suggestion gnus-retrieve-headers check for
 nov-is-evil when agent is enabled
References: <m2fsy0otqm.fsf@HIDDEN> <87im2v9y4u.fsf@HIDDEN>
 <m21r9izv1u.fsf@HIDDEN> <874kee0y6l.fsf@HIDDEN>
 <m2im2tbk9m.fsf@HIDDEN> <87zgw3tjvd.fsf@HIDDEN>
 <m24keaq3sz.fsf@HIDDEN> <87im2oof07.fsf@HIDDEN>
 <m2r1hbmwgl.fsf@HIDDEN> <87y2bjl5ox.fsf@HIDDEN>
 <m24ke69an9.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48801
Cc: larsi@HIDDEN, 48801 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Alex Bochannek <alex@HIDDEN>
> Date: Wed, 09 Jun 2021 11:05:14 -0700
> Cc: 48801 <at> debbugs.gnu.org
> 
> +One particular scenario in which it can be desirable to not use
> +@samp{XOVER} is for @code{nnvirtual} groups in order to support
> +limiting by extra headers (e.g., by the newsgroup of its component
> +groups.) Because group parameters are not inherited, a separate select
          ^^
Our conventions are to leave 2 spaces between sentences.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48801; Package emacs. Full text available.

Message received at 48801 <at> debbugs.gnu.org:


Received: (at 48801) by debbugs.gnu.org; 9 Jun 2021 18:05:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 09 14:05:22 2021
Received: from localhost ([127.0.0.1]:34645 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lr2Zt-0004Lm-PZ
	for submit <at> debbugs.gnu.org; Wed, 09 Jun 2021 14:05:22 -0400
Received: from ns.lapseofthought.com ([50.0.39.240]:44665
 helo=mail.lapseofthought.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alex@HIDDEN>) id 1lr2Zp-0004La-NK
 for 48801 <at> debbugs.gnu.org; Wed, 09 Jun 2021 14:05:19 -0400
Received: from awb-mbp.local (unknown
 [IPv6:2601:646:4200:b470:a4de:4a60:154c:229f])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.lapseofthought.com (Postfix) with ESMTPSA id 4G0ZlH121Cz3pdjV;
 Wed,  9 Jun 2021 11:05:15 -0700 (PDT)
From: Alex Bochannek <alex@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#48801: 28.0.50; [PATCH] Feature suggestion
 gnus-retrieve-headers check for nov-is-evil when agent is enabled
References: <m2fsy0otqm.fsf@HIDDEN> <87im2v9y4u.fsf@HIDDEN>
 <m21r9izv1u.fsf@HIDDEN> <874kee0y6l.fsf@HIDDEN>
 <m2im2tbk9m.fsf@HIDDEN> <87zgw3tjvd.fsf@HIDDEN>
 <m24keaq3sz.fsf@HIDDEN> <87im2oof07.fsf@HIDDEN>
 <m2r1hbmwgl.fsf@HIDDEN> <87y2bjl5ox.fsf@HIDDEN>
Date: Wed, 09 Jun 2021 11:05:14 -0700
In-Reply-To: <87y2bjl5ox.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Wed,
 09 Jun 2021 11:59:10 +0200")
Message-ID: <m24ke69an9.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (darwin)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
Authentication-Results: ORIGINATING;
 auth=pass smtp.auth=alex smtp.mailfrom=alex@HIDDEN
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 48801
Cc: 48801 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Alex Bochannek <alex@HIDDEN> writes:
>
>> However, I don't see a way to set `nntp-nov-is-evil' for a group in a
>> way that would still be true when it is part of a virtual group.
>
> Perhaps the easiest would be to create a separate select method for
> these groups that has nntp-nov-is-evil set as a select method variable.

That's awesome, it works! I wasn't even considering this option, but it
makes perfect sense.

How about adding this to the documentation?

2021-06-09  Alex Bochannek  <alex@HIDDEN>

	* doc/misc/gnus.texi (To From Newsgroups): Document extra header
          nnvirtual group scenario


--=-=-=
Content-Type: text/x-patch
Content-Disposition: inline

diff --git a/doc/misc/gnus.texi b/doc/misc/gnus.texi
index 32ba5aee92..18c4b091d3 100644
--- a/doc/misc/gnus.texi
+++ b/doc/misc/gnus.texi
@@ -5246,6 +5246,13 @@ To From Newsgroups
 Be aware, though, that this will make entering an @acronym{NNTP} group
 much, much slower, so this is not recommended.
 
+One particular scenario in which it can be desirable to not use
+@samp{XOVER} is for @code{nnvirtual} groups in order to support
+limiting by extra headers (e.g., by the newsgroup of its component
+groups.) Because group parameters are not inherited, a separate select
+method for the component groups with the appropriate
+@code{nov-is-evil} set as a method variable is required.
+
 
 @node Summary Buffer Mode Line
 @subsection Summary Buffer Mode Line

--=-=-=
Content-Type: text/plain


>> As an experiment, I globally set `nntp-nov-is-evil' to `t' and disabled
>> the agent to see if it even works. I ran into a lot of problems where
>> Gnus lost track of the unread messages for simple NNTP groups. Is this
>> expected or is this potentially a bug?
>
> Sounds like a bug to me.

I must have gotten myself into an undefined state last night, can't
reproduce.

Thank you for your help! Learned a lot about how virtual groups work in
the process of trying to get this to work :)

-- 
Alex.

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48801; Package emacs. Full text available.

Message received at 48801 <at> debbugs.gnu.org:


Received: (at 48801) by debbugs.gnu.org; 9 Jun 2021 09:59:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 09 05:59:22 2021
Received: from localhost ([127.0.0.1]:60520 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lquzZ-0004kb-On
	for submit <at> debbugs.gnu.org; Wed, 09 Jun 2021 05:59:21 -0400
Received: from quimby.gnus.org ([95.216.78.240]:35906)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1lquzY-0004kE-An
 for 48801 <at> debbugs.gnu.org; Wed, 09 Jun 2021 05:59:20 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=Hf0CD5LKk7zUEsexqWhurHOIINcWYsCVY1Wh4x6GKYE=; b=DgSAihCj7FIAWw5Rs0Y7XXkxe4
 Zoi97ALJdliN+JXMYzv94Nc6JYcK1M+5pZFvSGTB5oqGzA2WVSZ82gVsOi0HYmtcxU6y52brpCSBM
 rU9oMVF/E14h+cYIXU6iblNCofatJ851+fsR4mxpJAe+5G16xBLmNN1tc7FkULJE6HOQ=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1lquzP-0002di-1c; Wed, 09 Jun 2021 11:59:14 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Alex Bochannek <alex@HIDDEN>
Subject: Re: bug#48801: 28.0.50; [PATCH] Feature suggestion
 gnus-retrieve-headers check for nov-is-evil when agent is enabled
References: <m2fsy0otqm.fsf@HIDDEN> <87im2v9y4u.fsf@HIDDEN>
 <m21r9izv1u.fsf@HIDDEN> <874kee0y6l.fsf@HIDDEN>
 <m2im2tbk9m.fsf@HIDDEN> <87zgw3tjvd.fsf@HIDDEN>
 <m24keaq3sz.fsf@HIDDEN> <87im2oof07.fsf@HIDDEN>
 <m2r1hbmwgl.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwAgMAAAAqbBEUAAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAADFBMVEX39fC+tZ9tWU3/
 //8CvaVvAAAAAWJLR0QDEQxM8gAAAAd0SU1FB+UGCQk6E9bTPpMAAAFkSURBVCjPNZLBasMwDIbl
 UQfWUwvxoHmEPIXzBs6oA81tsJbFT5PCvMNOPaSj1lPul9qaHPTFf6RfUohc4l9mJho9Ccghw578
 FlHiEtNCRG+MSJ4Z0DLjXRpuiCkJVEUvBC6ifcJsSmJ6wHlEkidk1iQ4W14MYHZ7wIm9QHfwIitk
 fpjthNin4s3SLpMU9aerp9DkqA5OGeJq8JLOt+cAt0ul8DYjp9s3AsEFR3TotB0ywe5d6ljNbYKJ
 iSOzFK1X2tK9h9pSA2jv8KrQqO9N5StApeBiRtOBWPzs4jRyJlKnNjZSw7pJZVYUXUyAo6UR33ZX
 qbqxtAbsBi1kfIM5xVFz3yEkHZ2BSar7P/W9BQQXdXsufsCN3SkcV3DDxil8RlHEOCikLCvOLypL
 RWDpZUVTKnDKt34AfLVFtlDCu9ygvlx997A9rYvsF7oRUF10l5wjvBsMvpLfB/3sdMYPOFL9hH8d
 tb3wT/8JUwAAACV0RVh0ZGF0ZTpjcmVhdGUAMjAyMS0wNi0wOVQwOTo1ODoxOSswMDowMOc0pOwA
 AAAldEVYdGRhdGU6bW9kaWZ5ADIwMjEtMDYtMDlUMDk6NTg6MTkrMDA6MDCWaRxQAAAAAElFTkSu
 QmCC
X-Now-Playing: Stephan Mathieu's _FrequencyLib_: "Monkey"
Date: Wed, 09 Jun 2021 11:59:10 +0200
In-Reply-To: <m2r1hbmwgl.fsf@HIDDEN> (Alex Bochannek's message of "Tue, 
 08 Jun 2021 22:35:38 -0700")
Message-ID: <87y2bjl5ox.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Alex Bochannek <alex@HIDDEN> writes: > However,
 I don't
 see a way to set `nntp-nov-is-evil' for a group in a > way that would still
 be true when it is part of a virtual group. Perhaps the easiest would be
 to create a separate select method for these groups that has nntp-nov-is-evil
 set as a select method variable. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48801
Cc: 48801 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Alex Bochannek <alex@HIDDEN> writes:

> However, I don't see a way to set `nntp-nov-is-evil' for a group in a
> way that would still be true when it is part of a virtual group.

Perhaps the easiest would be to create a separate select method for
these groups that has nntp-nov-is-evil set as a select method variable.

> As an experiment, I globally set `nntp-nov-is-evil' to `t' and disabled
> the agent to see if it even works. I ran into a lot of problems where
> Gnus lost track of the unread messages for simple NNTP groups. Is this
> expected or is this potentially a bug?

Sounds like a bug to me.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48801; Package emacs. Full text available.

Message received at 48801 <at> debbugs.gnu.org:


Received: (at 48801) by debbugs.gnu.org; 9 Jun 2021 05:35:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 09 01:35:46 2021
Received: from localhost ([127.0.0.1]:60299 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lqqsU-0004VB-2q
	for submit <at> debbugs.gnu.org; Wed, 09 Jun 2021 01:35:46 -0400
Received: from ns.lapseofthought.com ([50.0.39.240]:10976
 helo=mail.lapseofthought.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alex@HIDDEN>) id 1lqqsP-0004V0-Sd
 for 48801 <at> debbugs.gnu.org; Wed, 09 Jun 2021 01:35:44 -0400
Received: from awb-mbp.local (unknown
 [IPv6:2601:646:4200:b470:ad0e:9535:3927:c050])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.lapseofthought.com (Postfix) with ESMTPSA id 4G0G6M30Kzz3pkCV;
 Tue,  8 Jun 2021 22:35:39 -0700 (PDT)
From: Alex Bochannek <alex@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#48801: 28.0.50; [PATCH] Feature suggestion
 gnus-retrieve-headers check for nov-is-evil when agent is enabled
References: <m2fsy0otqm.fsf@HIDDEN> <87im2v9y4u.fsf@HIDDEN>
 <m21r9izv1u.fsf@HIDDEN> <874kee0y6l.fsf@HIDDEN>
 <m2im2tbk9m.fsf@HIDDEN> <87zgw3tjvd.fsf@HIDDEN>
 <m24keaq3sz.fsf@HIDDEN> <87im2oof07.fsf@HIDDEN>
Date: Tue, 08 Jun 2021 22:35:38 -0700
In-Reply-To: <87im2oof07.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 08 Jun 2021 11:57:28 +0200")
Message-ID: <m2r1hbmwgl.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
Authentication-Results: ORIGINATING;
 auth=pass smtp.auth=alex smtp.mailfrom=alex@HIDDEN
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 48801
Cc: 48801 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Alex Bochannek <alex@HIDDEN> writes:
>
>> I think your concern is that when `gnus-nov-is-evil' is set globally, it
>> will effectively disable the agent for everything? Maybe this logic
>> should reside in `gnus-agent-retrieve-headers' instead?

I looked some more into it and it comes down to whether or not the
component groups see a `nov-is-evil' during their initial header
retrieval. If they do, the overview files for the agent include the
necessary information and the cache appears to used as well. However, I
don't see a way to set `nntp-nov-is-evil' for a group in a way that
would still be true when it is part of a virtual group.

As an experiment, I globally set `nntp-nov-is-evil' to `t' and disabled
the agent to see if it even works. I ran into a lot of problems where
Gnus lost track of the unread messages for simple NNTP groups. Is this
expected or is this potentially a bug?

-- 
Alex.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48801; Package emacs. Full text available.

Message received at 48801 <at> debbugs.gnu.org:


Received: (at 48801) by debbugs.gnu.org; 8 Jun 2021 15:50:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 08 11:50:45 2021
Received: from localhost ([127.0.0.1]:59565 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lqe04-0002oW-Tb
	for submit <at> debbugs.gnu.org; Tue, 08 Jun 2021 11:50:45 -0400
Received: from ns.lapseofthought.com ([50.0.39.240]:33214
 helo=mail.lapseofthought.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alex@HIDDEN>) id 1lqe01-0002oM-OV
 for 48801 <at> debbugs.gnu.org; Tue, 08 Jun 2021 11:50:44 -0400
Received: from awb-mbp.local (unknown
 [IPv6:2601:646:4200:b470:dc1d:7fb1:2bb4:3f72])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.lapseofthought.com (Postfix) with ESMTPSA id 4FzvpQ6n2hz3pdmb;
 Tue,  8 Jun 2021 08:50:38 -0700 (PDT)
From: Alex Bochannek <alex@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#48801: 28.0.50; [PATCH] Feature suggestion
 gnus-retrieve-headers check for nov-is-evil when agent is enabled
References: <m2fsy0otqm.fsf@HIDDEN> <87im2v9y4u.fsf@HIDDEN>
 <m21r9izv1u.fsf@HIDDEN> <874kee0y6l.fsf@HIDDEN>
 <m2im2tbk9m.fsf@HIDDEN> <87zgw3tjvd.fsf@HIDDEN>
 <m24keaq3sz.fsf@HIDDEN> <87im2oof07.fsf@HIDDEN>
Date: Tue, 08 Jun 2021 08:50:38 -0700
In-Reply-To: <87im2oof07.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 08 Jun 2021 11:57:28 +0200")
Message-ID: <m2h7i8qrsh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
Authentication-Results: ORIGINATING;
 auth=pass smtp.auth=alex smtp.mailfrom=alex@HIDDEN
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 48801
Cc: 48801 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Alex Bochannek <alex@HIDDEN> writes:
>
>> I think your concern is that when `gnus-nov-is-evil' is set globally, it
>> will effectively disable the agent for everything? Maybe this logic
>> should reside in `gnus-agent-retrieve-headers' instead?
>
> Yes, I think that sounds more reasonable.

OK, I will keep working on it.

>> +	   (not (and (boundp gnus-method-nov-is-evil)
>> +                     (symbol-value gnus-method-nov-is-evil))))
>
> That's bound-and-true-p.  :-)

Ah, didn't know about that one :)

Thanks!

-- 
Alex.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48801; Package emacs. Full text available.

Message received at 48801 <at> debbugs.gnu.org:


Received: (at 48801) by debbugs.gnu.org; 8 Jun 2021 09:57:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 08 05:57:51 2021
Received: from localhost ([127.0.0.1]:57504 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lqYUU-0007tf-HI
	for submit <at> debbugs.gnu.org; Tue, 08 Jun 2021 05:57:51 -0400
Received: from quimby.gnus.org ([95.216.78.240]:53174)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1lqYUO-0007tM-BD
 for 48801 <at> debbugs.gnu.org; Tue, 08 Jun 2021 05:57:44 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=b/slRNqCrLT3p739lY6zcrLJyw37NQ7ONe/kY6KdTj0=; b=IReRuidi+N4uh2F756/+FG9MiW
 FGYULnhY+0q6SbmoppcgT/tNl+MkIY0SJtfxiRxRKF+YaRyT6Rw9+pPpcAeJaQLFkKMcUqMjLHJw1
 CTuFOqSp/PkBsOR7oPmBxoVx4FpgpN1NWOD+t0hwpRWmCKxqjzr1ksrXD00zdPsZ7Y/U=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1lqYUC-0007UQ-Uc; Tue, 08 Jun 2021 11:57:33 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Alex Bochannek <alex@HIDDEN>
Subject: Re: bug#48801: 28.0.50; [PATCH] Feature suggestion
 gnus-retrieve-headers check for nov-is-evil when agent is enabled
References: <m2fsy0otqm.fsf@HIDDEN> <87im2v9y4u.fsf@HIDDEN>
 <m21r9izv1u.fsf@HIDDEN> <874kee0y6l.fsf@HIDDEN>
 <m2im2tbk9m.fsf@HIDDEN> <87zgw3tjvd.fsf@HIDDEN>
 <m24keaq3sz.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwAgMAAAAqbBEUAAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAADFBMVEVsdXsdFBTh08v/
 //8dPTZQAAAAAWJLR0QDEQxM8gAAAAlwSFlzAAALEgAACxIB0t1+/AAAAAd0SU1FB+UGCAkgL/Et
 36oAAAFbSURBVCjPTdG9bsIwEAfwAxUJeaJRIiGmlgn5KRIEQzOFyNehT1DxFFEm5KkdWJiCpUru
 /yl751BElA//ch92HJoxE02YuSEifZQKN8LRI3IF39Kenh+Q0lT3GuaS0qsRTQJXcu0P7g5X0i3S
 yIl4g2Nugd0jtMZxkxA1cqiWcm9Cl2rKldy36NKklRkKPl7mE8H+bRsLrrOoKGg6zHibDVrjqL9O
 uPZgrdn0seIaUeDyjYl7wa+CjJcGH1ONcGlxKjRtJtglNJkdtIHBlXkBRF3VGq/sOttDGjjyPy7v
 jIemtb54zwfrQ9oqe26ziIum8WHN7SoGk9KqwMZgOCbwoqgt4meC+26WMosF7Znzr7wXACS/se2p
 g4dA9rwOp5cxEhtZsF8DQYB5UQMWehBwFuj7BJ0EYwNFxHiQFYRxHGjqC4vQjxiMfDaN7Ug+vJah
 0fYELxH843RH+ANNCdcrFLJgDgAAACV0RVh0ZGF0ZTpjcmVhdGUAMjAyMS0wNi0wOFQwOTozMjo0
 NyswMDowMK4UGs4AAAAldEVYdGRhdGU6bW9kaWZ5ADIwMjEtMDYtMDhUMDk6MzI6NDcrMDA6MDDf
 SaJyAAAAAElFTkSuQmCC
X-Now-Playing: Mimi Goese and Ben Neill's _Life You Are_: "Endure (Head In
 Hands Quarantine dub)"
Date: Tue, 08 Jun 2021 11:57:28 +0200
In-Reply-To: <m24keaq3sz.fsf@HIDDEN> (Alex Bochannek's message of "Sun, 
 06 Jun 2021 10:51:56 -0700")
Message-ID: <87im2oof07.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Alex Bochannek <alex@HIDDEN> writes: > I think your
 concern is that when `gnus-nov-is-evil' is set globally, it > will effectively
 disable the agent for everything? Maybe this logic > should reside in
 `gnus-agent-retrieve-headers' instea [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48801
Cc: 48801 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Alex Bochannek <alex@HIDDEN> writes:

> I think your concern is that when `gnus-nov-is-evil' is set globally, it
> will effectively disable the agent for everything? Maybe this logic
> should reside in `gnus-agent-retrieve-headers' instead?

Yes, I think that sounds more reasonable.

> +	   (not (and (boundp gnus-method-nov-is-evil)
> +                     (symbol-value gnus-method-nov-is-evil))))

That's bound-and-true-p.  :-)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48801; Package emacs. Full text available.

Message received at 48801 <at> debbugs.gnu.org:


Received: (at 48801) by debbugs.gnu.org; 6 Jun 2021 17:52:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 06 13:52:08 2021
Received: from localhost ([127.0.0.1]:53822 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lpwwO-0001J4-Iw
	for submit <at> debbugs.gnu.org; Sun, 06 Jun 2021 13:52:08 -0400
Received: from ns.lapseofthought.com ([50.0.39.240]:43377
 helo=mail.lapseofthought.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alex@HIDDEN>) id 1lpwwJ-0001Ib-TG
 for 48801 <at> debbugs.gnu.org; Sun, 06 Jun 2021 13:52:04 -0400
Received: from awb-mbp.local (unknown
 [IPv6:2601:646:4200:b470:d100:fa67:1f2e:5d5e])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.lapseofthought.com (Postfix) with ESMTPSA id 4FykbK01Vvz3pkmh;
 Sun,  6 Jun 2021 10:51:56 -0700 (PDT)
From: Alex Bochannek <alex@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#48801: 28.0.50; [PATCH] Feature suggestion
 gnus-retrieve-headers check for nov-is-evil when agent is enabled
References: <m2fsy0otqm.fsf@HIDDEN> <87im2v9y4u.fsf@HIDDEN>
 <m21r9izv1u.fsf@HIDDEN> <874kee0y6l.fsf@HIDDEN>
 <m2im2tbk9m.fsf@HIDDEN> <87zgw3tjvd.fsf@HIDDEN>
Date: Sun, 06 Jun 2021 10:51:56 -0700
In-Reply-To: <87zgw3tjvd.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Sun,
 06 Jun 2021 11:36:38 +0200")
Message-ID: <m24keaq3sz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (darwin)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
Authentication-Results: ORIGINATING;
 auth=pass smtp.auth=alex smtp.mailfrom=alex@HIDDEN
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 48801
Cc: 48801 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Alex Bochannek <alex@HIDDEN> writes:
>
>> What I am trying to achieve is:
>>
>> - Allow limiting and scoring by newsgroup name in an nnvirtual group
>> - Still use caching and agent mode for the nnvirtual and constituent
>>   groups
>>
>> For the second part I simply set `gnus-agent-cache' to non-nil and add
>> the constituent groups to the agent. I didn't see a need to add the
>> virtual group to the agent, because as long as all constituent groups
>> are, I still get caching and agent mode.
>
> Hm...  Am I misreading the patch, then?  This bit:
>
>       ((and gnus-agent (gnus-online gnus-command-method)
> -	   (gnus-agent-method-p gnus-command-method))
> +	   (gnus-agent-method-p gnus-command-method)
> +	   (not gnus-nov-is-evil)
> ..
>        (gnus-agent-retrieve-headers articles group fetch-old))
>
> seems to disable the agent then gnus-nov-is-evil is set?

The scenario in which this change applies is when the agent is plugged
and when the group is in an agent category. In the case where the
nnvirtual is not in the agent, but the constituent groups are, I want to
not use NOV so I can get the extra headers.

I think your concern is that when `gnus-nov-is-evil' is set globally, it
will effectively disable the agent for everything? Maybe this logic
should reside in `gnus-agent-retrieve-headers' instead?

To address the unbound nov-is-evil for nnvirtual issue, this would work.

--=-=-=
Content-Type: text/x-patch
Content-Disposition: inline

diff --git a/lisp/gnus/gnus-int.el b/lisp/gnus/gnus-int.el
index 01053797b3..3fe69ec471 100644
--- a/lisp/gnus/gnus-int.el
+++ b/lisp/gnus/gnus-int.el
@@ -522,12 +522,18 @@ gnus-close-group
 (defun gnus-retrieve-headers (articles group &optional fetch-old)
   "Request headers for ARTICLES in GROUP.
 If FETCH-OLD, retrieve all headers (or some subset thereof) in the group."
-  (let ((gnus-command-method (gnus-find-method-for-group group)))
+  (let* ((gnus-command-method (gnus-find-method-for-group group))
+         (gnus-method-nov-is-evil (intern
+		                   (format "%s-nov-is-evil"
+                                           (car gnus-command-method)))))
     (cond
      ((and gnus-use-cache (numberp (car articles)))
       (gnus-cache-retrieve-headers articles group fetch-old))
      ((and gnus-agent (gnus-online gnus-command-method)
-	   (gnus-agent-method-p gnus-command-method))
+	   (gnus-agent-method-p gnus-command-method)
+	   (not gnus-nov-is-evil)
+	   (not (and (boundp gnus-method-nov-is-evil)
+                     (symbol-value gnus-method-nov-is-evil))))
       (gnus-agent-retrieve-headers articles group fetch-old))
      (t
       (funcall (gnus-get-function gnus-command-method 'retrieve-headers)

--=-=-=
Content-Type: text/plain

>> P.S.: Is there a better place to discuss this? gmane.emacs.gnus.general?
>
> Sure, but it's very low volume these days, so there's probably not that
> many more people reading that group than the bug list.  :-/

That's unfortunate, I'll stick to the bugs list then.

-- 
Alex.

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48801; Package emacs. Full text available.

Message received at 48801 <at> debbugs.gnu.org:


Received: (at 48801) by debbugs.gnu.org; 6 Jun 2021 09:36:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 06 05:36:53 2021
Received: from localhost ([127.0.0.1]:50676 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lppDB-0008Cq-3v
	for submit <at> debbugs.gnu.org; Sun, 06 Jun 2021 05:36:53 -0400
Received: from quimby.gnus.org ([95.216.78.240]:57572)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1lppD6-0008CU-13
 for 48801 <at> debbugs.gnu.org; Sun, 06 Jun 2021 05:36:52 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=4Em/7FPNWSt7ZWBqnD7+Kq9XuUkfLJL5QC4j8dOGXTk=; b=fPWVIH6wu3SKC/+6+gpLJSczOp
 tjjIGvjFYVOIMbWE2r/gCVQ4l9RfFTEXxp2zoxRTa9N9PsPtXRqqX6umt0FDWeJjm4r9UP1D9hKTF
 S2bVkf+y768oFyS8ghnD0qU6SYFWhbUhdDcqcLak6UqdT4tT8yiPUURtpcgfzc7BcOHk=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1lppCx-00050w-4c; Sun, 06 Jun 2021 11:36:41 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Alex Bochannek <alex@HIDDEN>
Subject: Re: bug#48801: 28.0.50; [PATCH] Feature suggestion
 gnus-retrieve-headers check for nov-is-evil when agent is enabled
References: <m2fsy0otqm.fsf@HIDDEN> <87im2v9y4u.fsf@HIDDEN>
 <m21r9izv1u.fsf@HIDDEN> <874kee0y6l.fsf@HIDDEN>
 <m2im2tbk9m.fsf@HIDDEN>
X-Now-Playing: Microtub's _Sonic Drift_: "Sonic Drift"
Date: Sun, 06 Jun 2021 11:36:38 +0200
In-Reply-To: <m2im2tbk9m.fsf@HIDDEN> (Alex Bochannek's message of "Fri, 
 04 Jun 2021 10:40:53 -0700")
Message-ID: <87zgw3tjvd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Alex Bochannek <alex@HIDDEN> writes: > What I am
 trying
 to achieve is: > > - Allow limiting and scoring by newsgroup name in an
 nnvirtual
 group > - Still use caching and agent mode for the nnvirtual and constituent
 > groups > > For the s [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48801
Cc: 48801 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Alex Bochannek <alex@HIDDEN> writes:

> What I am trying to achieve is:
>
> - Allow limiting and scoring by newsgroup name in an nnvirtual group
> - Still use caching and agent mode for the nnvirtual and constituent
>   groups
>
> For the second part I simply set `gnus-agent-cache' to non-nil and add
> the constituent groups to the agent. I didn't see a need to add the
> virtual group to the agent, because as long as all constituent groups
> are, I still get caching and agent mode.

Hm...  Am I misreading the patch, then?  This bit:

      ((and gnus-agent (gnus-online gnus-command-method)
-	   (gnus-agent-method-p gnus-command-method))
+	   (gnus-agent-method-p gnus-command-method)
+	   (not gnus-nov-is-evil)
..
       (gnus-agent-retrieve-headers articles group fetch-old))

seems to disable the agent then gnus-nov-is-evil is set?

> P.S.: Is there a better place to discuss this? gmane.emacs.gnus.general?

Sure, but it's very low volume these days, so there's probably not that
many more people reading that group than the bug list.  :-/

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48801; Package emacs. Full text available.

Message received at 48801 <at> debbugs.gnu.org:


Received: (at 48801) by debbugs.gnu.org; 4 Jun 2021 17:40:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 04 13:40:59 2021
Received: from localhost ([127.0.0.1]:47860 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lpDoZ-0004yK-GE
	for submit <at> debbugs.gnu.org; Fri, 04 Jun 2021 13:40:59 -0400
Received: from ns.lapseofthought.com ([50.0.39.240]:25432
 helo=mail.lapseofthought.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alex@HIDDEN>) id 1lpDoW-0004yA-JO
 for 48801 <at> debbugs.gnu.org; Fri, 04 Jun 2021 13:40:58 -0400
Received: from awb-mbp.local (unknown
 [IPv6:2601:646:4200:b470:6d0d:ee85:8d40:371e])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.lapseofthought.com (Postfix) with ESMTPSA id 4FxVRT5sN0z3pdjV;
 Fri,  4 Jun 2021 10:40:53 -0700 (PDT)
From: Alex Bochannek <alex@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#48801: 28.0.50; [PATCH] Feature suggestion
 gnus-retrieve-headers check for nov-is-evil when agent is enabled
References: <m2fsy0otqm.fsf@HIDDEN> <87im2v9y4u.fsf@HIDDEN>
 <m21r9izv1u.fsf@HIDDEN> <874kee0y6l.fsf@HIDDEN>
Date: Fri, 04 Jun 2021 10:40:53 -0700
Message-ID: <m2im2tbk9m.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
Authentication-Results: ORIGINATING;
 auth=pass smtp.auth=alex smtp.mailfrom=alex@HIDDEN
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 48801
Cc: 48801 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Alex Bochannek <alex@HIDDEN> writes:
>
>> Is there any documentation you would like to see before accepting this
>> change?
>
> I don't think the patch is the right thing to do:

I did mention in my initial email that this wasn't fully cooked and I am
happy to accept alternatives :)

> So you're basically disabling the Agent when gnus-nov-is-evil is set,
> and while it solves this problem, it's not a good general solution --
> the two things are kinda-sort orthogonal.  Instead you should just
> exclude the nnvirtual component groups from the Agent.

What I am trying to achieve is:

- Allow limiting and scoring by newsgroup name in an nnvirtual group
- Still use caching and agent mode for the nnvirtual and constituent
  groups

For the second part I simply set `gnus-agent-cache' to non-nil and add
the constituent groups to the agent. I didn't see a need to add the
virtual group to the agent, because as long as all constituent groups
are, I still get caching and agent mode.

If I use a hook on the nnvirtual group to set nov-is-evil, the
constituent groups end up with the extra headers in their .overview
file. That seems to address both points above, except that if I open the
constituent groups directly, I don't get that information. I tried to
set nov-is-evil as a group parameter for the constituent groups, but
that doesn't work when they are in an agent category and was the reason
for the below code.

> +	   (not (symbol-value
> +		 (intern
> +		  (format "%s-nov-is-evil" (car gnus-command-method))))))
>
> (And this isn't correct anyway -- not all backends have a -nov-is-evil
> variable).

I noticed that and ended up defining a nnvirtual-nov-is-evil, but it
never made it to this clause because of my specific setup.

P.S.: Is there a better place to discuss this? gmane.emacs.gnus.general?

-- 
Alex.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48801; Package emacs. Full text available.

Message received at 48801 <at> debbugs.gnu.org:


Received: (at 48801) by debbugs.gnu.org; 4 Jun 2021 09:36:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 04 05:36:02 2021
Received: from localhost ([127.0.0.1]:45386 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lp6FG-0001SO-JR
	for submit <at> debbugs.gnu.org; Fri, 04 Jun 2021 05:36:02 -0400
Received: from quimby.gnus.org ([95.216.78.240]:59242)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1lp6FC-0001Rl-No
 for 48801 <at> debbugs.gnu.org; Fri, 04 Jun 2021 05:36:01 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=HHmdwA9/CTmya0JNWD0eamUb1lqhgBVbawL9LD33GVo=; b=qFz+qOLqXKTMGHZEJa8j34Zd2L
 TTwARpsVKL+cOO5dzPA4R8O13gBnCxCb7MG0VJnPgpfg79dx3xJaFb4j2f6IITzx2E8a9obrYDnAQ
 LJXnD2AiS/wBzZrcG8LAhgY5hiZDV8T3i6SRGlcZV7kGUGK2CE80D5ftxgoyVZdV/49s=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1lp6F1-0003po-C5; Fri, 04 Jun 2021 11:35:51 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Alex Bochannek <alex@HIDDEN>
Subject: Re: bug#48801: 28.0.50; [PATCH] Feature suggestion
 gnus-retrieve-headers check for nov-is-evil when agent is enabled
References: <m2fsy0otqm.fsf@HIDDEN> <87im2v9y4u.fsf@HIDDEN>
 <m21r9izv1u.fsf@HIDDEN>
X-Now-Playing: Cosey Fanni Tutti's _Make More Noise (3)_: "Such Is Life
 (featuring John Lacey)"
Date: Fri, 04 Jun 2021 11:35:46 +0200
In-Reply-To: <m21r9izv1u.fsf@HIDDEN> (Alex Bochannek's message of "Thu, 
 03 Jun 2021 11:01:49 -0700")
Message-ID: <874kee0y6l.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Alex Bochannek <alex@HIDDEN> writes: > Is there any
 documentation you would like to see before accepting this > change? I don't
 think the patch is the right thing to do: 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48801
Cc: 48801 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Alex Bochannek <alex@HIDDEN> writes:

> Is there any documentation you would like to see before accepting this
> change?

I don't think the patch is the right thing to do:

diff --git a/lisp/gnus/gnus-int.el b/lisp/gnus/gnus-int.el
index 01053797b3..d2d7fd55ae 100644
--- a/lisp/gnus/gnus-int.el
+++ b/lisp/gnus/gnus-int.el
@@ -527,7 +527,11 @@ gnus-retrieve-headers
      ((and gnus-use-cache (numberp (car articles)))
       (gnus-cache-retrieve-headers articles group fetch-old))
      ((and gnus-agent (gnus-online gnus-command-method)
-	   (gnus-agent-method-p gnus-command-method))
+	   (gnus-agent-method-p gnus-command-method)
+	   (not gnus-nov-is-evil)

So you're basically disabling the Agent when gnus-nov-is-evil is set,
and while it solves this problem, it's not a good general solution --
the two things are kinda-sort orthogonal.  Instead you should just
exclude the nnvirtual component groups from the Agent.

+	   (not (symbol-value
+		 (intern
+		  (format "%s-nov-is-evil" (car gnus-command-method))))))

(And this isn't correct anyway -- not all backends have a -nov-is-evil
variable).

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48801; Package emacs. Full text available.

Message received at 48801 <at> debbugs.gnu.org:


Received: (at 48801) by debbugs.gnu.org; 3 Jun 2021 18:14:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 03 14:14:27 2021
Received: from localhost ([127.0.0.1]:44659 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lorrP-0007a9-5W
	for submit <at> debbugs.gnu.org; Thu, 03 Jun 2021 14:14:27 -0400
Received: from ns.lapseofthought.com ([50.0.39.240]:49479
 helo=mail.lapseofthought.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alex@HIDDEN>) id 1lorrL-0007Zx-71
 for 48801 <at> debbugs.gnu.org; Thu, 03 Jun 2021 14:14:25 -0400
Received: from awb-mbp.local (unknown
 [IPv6:2601:646:4200:b470:17:d08d:a8df:703e])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.lapseofthought.com (Postfix) with ESMTPSA id 4FwvDX1lckz3pklh;
 Thu,  3 Jun 2021 11:14:20 -0700 (PDT)
From: Alex Bochannek <alex@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#48801: 28.0.50; [PATCH] Feature suggestion
 gnus-retrieve-headers check for nov-is-evil when agent is enabled
In-Reply-To: <87im2v9y4u.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Thu,
 03 Jun 2021 09:59:45 +0200")
Date: Thu, 03 Jun 2021 11:01:49 -0700
Message-ID: <m21r9izv1u.fsf@HIDDEN>
References: <m2fsy0otqm.fsf@HIDDEN> <87im2v9y4u.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
Authentication-Results: ORIGINATING;
 auth=pass smtp.auth=alex smtp.mailfrom=alex@HIDDEN
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 48801
Cc: 48801 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Alex Bochannek <alex@HIDDEN> writes:
>
>> 2) Is it possible to set `nntp-nov-is-evil' as a group parameter? It
>> looks like header retrieval may be too early for this and I may need to
>> use a hook?
>
> How about setting it in an early group entry hook depending on the group
> name?  And you can also set it to nil in an agent hook.

I have experimented with this a bit and it looks like it works. Here's
what I did:

(add-hook 'gnus-summary-mode-hook 'nov-is-evil-for-nnvirtual)
(defun nov-is-evil-for-nnvirtual ()
  (if (string-match "^nnvirtual:.*" gnus-newsgroup-name)
      (setq gnus-nov-is-evil t)))

This, combined with the patch I sent in, will cause `Newsgroups' to be
recorded in the .overview files when using the agent for new messages.

Is there any documentation you would like to see before accepting this
change?

-- 
Alex.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48801; Package emacs. Full text available.

Message received at 48801 <at> debbugs.gnu.org:


Received: (at 48801) by debbugs.gnu.org; 3 Jun 2021 07:59:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 03 03:59:59 2021
Received: from localhost ([127.0.0.1]:42086 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1loiGl-0004Mi-0J
	for submit <at> debbugs.gnu.org; Thu, 03 Jun 2021 03:59:59 -0400
Received: from quimby.gnus.org ([95.216.78.240]:39650)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1loiGh-0004ML-0E
 for 48801 <at> debbugs.gnu.org; Thu, 03 Jun 2021 03:59:57 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=TteTWSsicZKYAoK+9Grj3H0br/KJtFNtwRQkvW+9jRg=; b=aWy3gcrUnJuZ8mezWZTDlUrSOG
 bivxp10Z35kJOCmSJNxGKUiaf+tO4oG43poTNebCy268Crn0FmWYdJa6N5WkFvnWT7KjdaVFn9xXW
 O44z6Uqq47Eh7ZL3PblAwn7PwThN7hf0ZT7gSxk+qELKvhke+bG+N3NAmHItpNz0NJgs=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1loiGY-00082d-Da; Thu, 03 Jun 2021 09:59:48 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Alex Bochannek <alex@HIDDEN>
Subject: Re: bug#48801: 28.0.50; [PATCH] Feature suggestion
 gnus-retrieve-headers check for nov-is-evil when agent is enabled
References: <m2fsy0otqm.fsf@HIDDEN>
X-Now-Playing: Little Simz's _Grey Area_: "Offence"
Date: Thu, 03 Jun 2021 09:59:45 +0200
In-Reply-To: <m2fsy0otqm.fsf@HIDDEN> (Alex Bochannek's message of "Wed, 
 02 Jun 2021 14:13:21 -0700")
Message-ID: <87im2v9y4u.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Alex Bochannek <alex@HIDDEN> writes: > 2) Is it
 possible
 to set `nntp-nov-is-evil' as a group parameter? It > looks like header
 retrieval
 may be too early for this and I may need to > use a hook? 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48801
Cc: 48801 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Alex Bochannek <alex@HIDDEN> writes:

> 2) Is it possible to set `nntp-nov-is-evil' as a group parameter? It
> looks like header retrieval may be too early for this and I may need to
> use a hook?

How about setting it in an early group entry hook depending on the group
name?  And you can also set it to nil in an agent hook.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48801; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Jun 2021 21:14:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 02 17:14:06 2021
Received: from localhost ([127.0.0.1]:41453 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1loYBi-0000og-0C
	for submit <at> debbugs.gnu.org; Wed, 02 Jun 2021 17:14:06 -0400
Received: from lists.gnu.org ([209.51.188.17]:46430)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alex@HIDDEN>) id 1loYBg-0000oY-At
 for submit <at> debbugs.gnu.org; Wed, 02 Jun 2021 17:14:04 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:55420)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <alex@HIDDEN>)
 id 1loYBe-0008Bn-HN
 for bug-gnu-emacs@HIDDEN; Wed, 02 Jun 2021 17:14:03 -0400
Received: from ns.lapseofthought.com ([50.0.39.240]:5900
 helo=mail.lapseofthought.com)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <alex@HIDDEN>)
 id 1loYBc-0004Sl-JG
 for bug-gnu-emacs@HIDDEN; Wed, 02 Jun 2021 17:14:02 -0400
Received: from awb-mbp.local (unknown
 [IPv6:2601:646:4200:b470:447b:3183:4f61:c8c2])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.lapseofthought.com (Postfix) with ESMTPSA id 4FwMFZ4MJmz3pkkP
 for <bug-gnu-emacs@HIDDEN>; Wed,  2 Jun 2021 14:13:22 -0700 (PDT)
From: Alex Bochannek <alex@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; [PATCH] Feature suggestion gnus-retrieve-headers check for
 nov-is-evil when agent is enabled
Date: Wed, 02 Jun 2021 14:13:21 -0700
Message-ID: <m2fsy0otqm.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (darwin)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
Authentication-Results: ORIGINATING;
 auth=pass smtp.auth=alex smtp.mailfrom=alex@HIDDEN
Received-SPF: pass client-ip=50.0.39.240; envelope-from=alex@HIDDEN;
 helo=mail.lapseofthought.com
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--=-=-=
Content-Type: text/plain

Hello!

I am trying to solve the following problem: Using nnvirtual groups that
are made up of several nntp newsgroups I would like to limit by
`Newsgroups' when in the nnvirtual. From reading the code, it appears
that this means I cannot use NOV because then the extra headers list
won't be generated. I can set `nov-is-evil' and this works. Except when
I am also using agent mode, in which case it will always use the NOV.

The below patch is a work in progress and doesn't entirely work yet, but
I wanted to share it early before I spend more time on it.

The following questions have come up for me:

1) Is there a different way to solve this problem? Specifically, is
there a better way to limit by newsgroup when in an nnvirtual group?
2) Is it possible to set `nntp-nov-is-evil' as a group parameter? It
looks like header retrieval may be too early for this and I may need to
use a hook?
3) How would this approach interact with the local cache? I have not
looked at this path yet.

Thanks!

--=-=-=
Content-Type: text/x-patch
Content-Disposition: inline

diff --git a/lisp/gnus/gnus-int.el b/lisp/gnus/gnus-int.el
index 01053797b3..d2d7fd55ae 100644
--- a/lisp/gnus/gnus-int.el
+++ b/lisp/gnus/gnus-int.el
@@ -527,7 +527,11 @@ gnus-retrieve-headers
      ((and gnus-use-cache (numberp (car articles)))
       (gnus-cache-retrieve-headers articles group fetch-old))
      ((and gnus-agent (gnus-online gnus-command-method)
-	   (gnus-agent-method-p gnus-command-method))
+	   (gnus-agent-method-p gnus-command-method)
+	   (not gnus-nov-is-evil)
+	   (not (symbol-value
+		 (intern
+		  (format "%s-nov-is-evil" (car gnus-command-method))))))
       (gnus-agent-retrieve-headers articles group fetch-old))
      (t
       (funcall (gnus-get-function gnus-command-method 'retrieve-headers)

--=-=-=
Content-Type: text/plain

-- 
Alex.

--=-=-=--




Acknowledgement sent to Alex Bochannek <alex@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#48801; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 12 Jun 2021 12:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.